Skip to main content
POST
/
actions
/
reply_email
Reply to an email thread
curl --request POST \
  --url https://api.hyperspell.com/actions/reply_email \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "thread_id": "<string>",
  "message_id": "<string>",
  "to": [
    "<string>"
  ],
  "body": "<string>",
  "provider": "gmail_actions",
  "connection": "<string>",
  "subject": "<string>",
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ]
}
'
import requests

url = "https://api.hyperspell.com/actions/reply_email"

payload = {
"thread_id": "<string>",
"message_id": "<string>",
"to": ["<string>"],
"body": "<string>",
"provider": "gmail_actions",
"connection": "<string>",
"subject": "<string>",
"cc": ["<string>"],
"bcc": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
thread_id: '<string>',
message_id: '<string>',
to: ['<string>'],
body: JSON.stringify('<string>'),
provider: 'gmail_actions',
connection: '<string>',
subject: '<string>',
cc: ['<string>'],
bcc: ['<string>']
})
};

fetch('https://api.hyperspell.com/actions/reply_email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>",
  "provider_response": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Body

application/json

Reply to an email thread via Gmail.

thread_id
string
required

Gmail thread ID to reply to

message_id
string
required

RFC 2822 Message-ID of the message being replied to

to
string[]
required

Recipient email addresses

body
string
required

Reply body (plain text)

provider
enum<string>
default:gmail_actions

Integration provider

Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions,
granola,
fathom,
fireflies,
linear,
hubspot,
salesforce,
coda,
lightfield,
gong,
pylon,
clickup
connection
string | null

Connection ID. If omitted, auto-resolved from provider + user.

subject
string | null

Subject (defaults to Re: original)

cc
string[] | null

CC recipients

bcc
string[] | null

BCC recipients

Response

Successful Response

Result from executing an integration action.

success
boolean
required
error
string | null
provider_response
Provider Response · object | null